Transform.TransformType (JBoss Logging I18n Documentation 2.1.0.Final API)

org.jboss.logging.annotations

## Enum Transform.TransformType

- java.lang.Object
- - java.lang.Enum<Transform.TransformType>
  - - org.jboss.logging.annotations.Transform.TransformType

- All Implemented Interfaces:
    Serializable, Comparable<Transform.TransformType>
  Enclosing class:
    Transform

      public static enum Transform.TransformType
      extends Enum<Transform.TransformType>

  The transform type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GET_CLASS` Gets the class of the object object passed, `Object.getClass()`.
    `HASH_CODE` Gets the hash code of the object, `Object.hashCode()`.
    `IDENTITY_HASH_CODE` Gets the identity hash code of the object, `System.identityHashCode(Object)`.
    `SIZE` Gets the size or length of a `String`, `Collection`, `Map` or array.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Transform.TransformType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Transform.TransformType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET_CLASS

          public static final Transform.TransformType GET_CLASS

      Gets the class of the object object passed, `Object.getClass()`.

    - #### HASH_CODE

          public static final Transform.TransformType HASH_CODE

      Gets the hash code of the object, `Object.hashCode()`.

    - #### IDENTITY_HASH_CODE

          public static final Transform.TransformType IDENTITY_HASH_CODE

      Gets the identity hash code of the object, `System.identityHashCode(Object)`.

    - #### SIZE

          public static final Transform.TransformType SIZE

      Gets the size or length of a `String`, `Collection`, `Map` or array.

  - ### Method Detail

    - #### values

          public static Transform.TransformType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Transform.TransformType c : Transform.TransformType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Transform.TransformType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 JBoss by Red Hat. All rights reserved.